﻿@model FunXgame.Models.Imagen
@{
    ViewBag.Title = "EditarImagen";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="card text-center" style="background-color:whitesmoke">

    @{Html.RenderAction("AdminPanelMenu", "AdminPanel");}

    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Imagenes/ListarImagen">Listar imagenes</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" style="color:black" href="~/Imagenes/CrearImagen">Agregar imagenes</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" style="color:white; background-color:black" href="#">Editar imagen</a>
                    </li>
                </ul>
            </div>
            <div class="card-body text-left">
                @using (Html.BeginForm("EditarImagen", "Imagenes", FormMethod.Post, new { enctype = "multipart/form-data", id = "imagenEditarForm" }))
                {
                    @Html.AntiForgeryToken()
                    <input type="hidden" name="Id_Imagen" id="Id_imagen" value="@Model.Id_imagen" />
                    <div class="form-horizontal">

                        @Html.ValidationSummary(true, "", new { @class = "text-danger" })


                        <div class="form-group">
                            <div class="col-md-10">
                                <img src="@Url.Content(Model.Ruta)" id="img" style="width:280px" />
                            </div>
                            
                        </div>

                       

                        <div class="form-group">
                            <div class="col-md-10">
                                <input type="file" name="Ruta" id="Ruta" accept="image/*" value="@Model.Ruta" class="form-control" onchange="vistaPrevia(event)" style="background-color:whitesmoke; border-color:whitesmoke" />
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Nombre imagen:</label>
                                @Html.EditorFor(model => model.Nombre_imagen, new { htmlAttributes = new { @class = "form-control", id = "Nombre_imagen" } })

                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Grupo de imagen:</label>

                                @Html.DropDownList("Id_grupo", null, "Seleccione...", htmlAttributes: new { @class = "form-control", id = "Grupo_imagen" })

                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                                <input type="submit" id="btnEditarImg" value="Actualizar imagen" class="btn btn-dark" />
                            </div>
                        </div>
                    </div>
                }

            </div>
        </div>
    </div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>
    <script src="~/Scripts/FuncionesAll/imagen_vista_previa.js"></script>
    <script src="~/Scripts/Validaciones/valida_imagen.js"></script>

    
    <script>
        $(document).ready(function () {

            $('#Ruta').change(function () {
                var filename = $('input[type=file]').val().replace(/C:\\fakepath\\/i, '')
                filename = filename.split('.').shift();
                $('#Nombre_imagen').val(filename);
                validaNombreEditarExiste();
            })
            $('#Nombre_imagen').blur(function () {
                validaNombreEditarExiste();
            });
            enviaValidaImagenEdicion('#btnEditarImg','Imagen editada');
        });
        function validaNombreEditarExiste() {
            if ($('#Nombre_imagen').val().trim() != '') {
                var valores = { Nombre_imagen: $('#Nombre_imagen').val().trim(), Id_imagen: $('#Id_imagen').val() };
                var resultado = JSON.stringify(valores);

                    $.ajax({
                        type: 'POST',
                        url: '@Url.Action("ExisteImagenEditar")',
                        data: resultado,
                        dataType: 'json',
                        contentType: 'application/json; charset=utf-8',
                        success: function (result) {
                            if (result != "") {
                                $('#Nombre_imagen').val('');
                                swal("Ya existe una imagen con ese nombre", "", "warning");
                            }
                        }
                    });
            }
        }

        estiloTab('a', 'nav-link active font-weight-bolder', '#imgNavLink', 'nav-link active font-weight-bolder');
       /* nav - link active font - weight - bolder*/
       
    </script>
}